Bug 1650156 - Upgrade perl-TestML to 0.55
Summary: Upgrade perl-TestML to 0.55
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-TestML
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1651168 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-15 13:15 UTC by Jitka Plesnikova
Modified: 2018-11-19 11:27 UTC (History)
1 user (show)

Fixed In Version: perl-TestML-0.54.05-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-16 13:03:49 UTC
Type: ---


Attachments (Terms of Use)

Description Jitka Plesnikova 2018-11-15 13:15:42 UTC
Latest Fedora delivers 0.54 version. Upstream released 0.55. When you have free time, please upgrade it.

Comment 1 Petr Pisar 2018-11-15 13:48:21 UTC
0.55 is a dummy release that removes all the code and documents that users should either use TestML1 (already packaged in Fedora) or a developmental TestML from a different upstream.

I will move perl-TestML upstream and upgrade to the new upstream's 0.54_05.

Comment 2 Petr Pisar 2018-11-15 14:08:52 UTC
However the new upstream provides one huge tar ball with implementations in many languages and the perl one has a differnent/missing build script. I will upgrade this package later.

Comment 3 Petr Pisar 2018-11-16 13:03:49 UTC
I bashed an upgrade. perl-TestML-0.54.05-1.fc30 delivers the new immature implementation from GitHub. We will not package TestML-0.55 from CPAN because it does not contain any code. TestML users can either migrate to the stable TestML1 fork (perl-TestML1 RPM package), or upgrade to an incompatible perl-TestML-0.54.05.

Comment 4 Petr Pisar 2018-11-19 11:27:51 UTC
*** Bug 1651168 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.